Subject: [P2PSIP] RELOAD Interoperability Testing event in Paris

From: Marc Petit-Huguenin <[email-masked]>
Date: Sun, 08 Apr 2012 09:46:37 +0200

I prepared some slides to summarize the RELOAD interoperability testing event
that we had in Paris just before the IETF meeting, but there was not enough
time in the WG session to present them.  Many thanks to the chairs who agreed
to made them part of the proceedings:

http://www.ietf.org/proceedings/83/slides/slides-83-p2psip-6.pdf

Please do not hesitate to send me questions, comments and suggestions,
directly or in the [email-masked] mailing-list.

Thanks.

- -- 
Marc Petit-Huguenin
Personal email: [email-masked]
Professional email: [email-masked]
Blog: http://blog.marc.petit-huguenin.org

---

From: Dean Willis <[email-masked]>
Date: Tue, 10 Apr 2012 12:53:26 -0500

Thanks for the summary, Marc.

What kind of technical issues were the main blockage to testing?

On Sun, Apr 8, 2012 at 2:46 AM, Marc Petit-Huguenin <[email-masked]>wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA256
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.12 (GNU/Linux)
>
> iQIcBAEBCAAGBQJPgUJbAAoJECnERZXWan7Eh1oQAKs2icDGrYxvcUKSXpxvs6SN
> WDUgXHWi347fFhffg/irFiO+jAwEx3h2NFMSy30QzfqLPviheOkrrDXSWsr/Q7cf
> 7IWFcyUhVpKWbAAk7iFYdilUI5msYhunBHSqCIUX2J2SmqpZ4OHEGAiKB8QJTbXY
> W8JjKICmSi9jIraqI4oyXQTyqnWZl1Sa1OHejcSNGCBs+rv8n/+c3l1YhR3vwql4
> 0i00HR3gijmbutTROeOEHKyVG5BToP4JPB8gMZc9SWmQI0GivP8Tust5zGAMOc0U
> CBEZvtd78puZ1nu+RVMo3YFNDGDFgx+36zjw4ju0tP4nR7gBnCldaahCkraA5Cx1
> FNp61fGqc3L0ROx4hKZkYN+CYnX/PT/W241jx3tA41Bbi5OAlnpJyp8wSTXGpYgs
> KRrWeYgttDjL7/vX+B7wzZvE1+HdChR5vAabkMkPMStMwojIcSoznYH7To3BeO8Y
> MwkAogRsblAD4HkWBdO3JLdcD8sH0k18YUqzs1cap728JijfXvBf3n9l+5UBxQ1A
> pfv57PUXoWR/nnLioq8NIYEI7sDUjP+eiz1U9fI4jjCCgWYXB0S9QSPMUX2e5Q60
> MS9TBmCJqqbzjIyikYw078MUev7c+xupKR378ueEAhMdA7IeXDEENYStnED2M8KQ
> O98kJ+tkunl2PSBT27ex
> =S/gs
> -----END PGP SIGNATURE-----
> _______________________________________________
> P2PSIP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/p2psip
>

---

From: Marc Petit-Huguenin <[email-masked]>
Date: Fri, 20 Apr 2012 05:51:37 -0700

Hi Dean,

Sorry for the delay in responding.

The first technical issue was my fault - I forgot to bring with me various
private RSA keys that were needed for my implementation, so I had to cancel my
participation on the first day (flaky network in the hotel, before the NOC did
its magic, did not help either).  At the end it did not matter as we
discovered on the second day that it would have been impossible to test
anything without an Internet connection, because it is hard to deploy an
enrollment server without it.  So the lesson for next time is that Internet is
a requirement for all the testing.

Because we canceled the first day, and because on the first day nothing ever
work in a testing event, we did not had enough time to finish all the testing
we wanted to do.  In fact we continued to do some testing during the IETF
meeting week.  Here the lesson is that two days of testing are mandatory.

The third technical issue was about Wireshark.  Wireshark requires to install
the private key of all the participants, and even for a small test like this,
that was challenging (and in my case would have been impossible as my private
key was stored in a smartcard).  I have some idea on how to solve this
problem, but this mailing-list is probably not the right place to talk about it.

Thanks.

On 04/10/2012 10:53 AM, Dean Willis wrote:
> On Sun, Apr 8, 2012 at 2:46 AM, Marc Petit-Huguenin <[email-masked] 
> <mailto:[email-masked]>> wrote:
> 
> I prepared some slides to summarize the RELOAD interoperability testing
> event that we had in Paris just before the IETF meeting, but there was not
> enough time in the WG session to present them.  Many thanks to the chairs
> who agreed to made them part of the proceedings:
> 
> directly or in the [email-masked]
> <mailto:[email-masked]> mailing-list.
> 

- -- 
Marc Petit-Huguenin